Bug 189270 - Kickstart: You can click "Schedule Kickstart" even if there are no profiles defined
Summary: Kickstart: You can click "Schedule Kickstart" even if there are no profiles d...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn410-kickstart
TreeView+ depends on / blocked
 
Reported: 2006-04-18 18:24 UTC by Mike McCune
Modified: 2007-10-30 01:59 UTC (History)
1 user (show)

Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 21:09:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2006-04-18 18:24:47 UTC
This causes a 500 error.  Need to hide the button or have the UI show an error
message "Please create a profile first".

Comment 1 Mike McCune 2006-04-19 23:18:17 UTC
working on this now.

Comment 2 Mike McCune 2006-04-20 14:28:21 UTC
TESTPLAN:

1) Delete all your kickstart profiles (or register a new account in hosted)
2) Go to a system with Provisioning entitlement
3) Verify that the UI shows an empty list stating to create a KS Profile
4) Verify that there is a UI message at the top stating there are no profiles
   or the system has no base channel.
5) Verify that there is no button on the page to 'schedule kickstart'

Comment 3 Beth Nackashi 2006-04-22 18:39:33 UTC
bnackash is QA contact for all kickstart UI bugs

Comment 4 Mike McCune 2006-05-02 20:09:09 UTC
moving to ON_QA

Comment 5 Beth Nackashi 2006-05-22 20:34:03 UTC
"No profiles currently available for kickstart. Please create a new kickstart
profile."

verified on hosted on satellite (ISO -76)

Comment 6 Beth Nackashi 2006-07-19 21:09:51 UTC
moving to closed - currentrelease


Note You need to log in before you can comment on or make changes to this bug.